#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf aumix-2.9.1.tar.bz2
    cd aumix-2.9.1
    ./configure --prefix='' --sysconfdir=/etc --without-gtk --without-gpm \
	    --without-sysmouse --without-ncurses --disable-nls
    make
    strip -R .note -R .comment src/aumix
    mkdir -p ../aumix/bin
    cp src/aumix ../aumix/bin/
    cd ..
    rm -rf aumix-2.9.1
}

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
